## cascading.operation
Interface FunctionCall<C>

All Superinterfaces:
  OperationCall<C>

All Known Implementing Classes:
  ConcreteCall

    public interface FunctionCall<C>

extends OperationCall<C>

Interface FunctionCall provides access to the current `Function` invocation arguments.

Method Summary
`TupleEntry` `getArguments()` Returns `TupleEntry` of argument values.
`Fields` `getDeclaredFields()` Return the resolved `Fields` declared by the current `Operation`.
`TupleEntryCollector` `getOutputCollector()` Returns the `TupleEntryCollector` used to emit result values.

Methods inherited from interface cascading.operation.OperationCall
`getArgumentFields, getContext, setContext`

Method Detail

### getArguments

    TupleEntry getArguments()

  Returns `TupleEntry` of argument values.

  Returns:
    TupleEntry

### getDeclaredFields

    Fields getDeclaredFields()

  Return the resolved `Fields` declared by the current `Operation`.

  Returns:
    Fields

### getOutputCollector

    TupleEntryCollector getOutputCollector()

  Returns the `TupleEntryCollector` used to emit result values.

  Returns:
    TupleCollector

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.